package Viewer;

import Shared.LineXY;
import Shared.Constants;
import Shared.Board;

import javax.swing.*;
import java.awt.*;
import java.util.Set;
import java.util.Iterator;

/**
 * Created by IntelliJ IDEA.
 * User: sehsanm
 * Date: Dec 16, 2004
 * Time: 4:15:40 PM
 * To change this template use Options | File Templates.
 */
public class BoardViewer extends JPanel{
    int stepX = 20 , stepY = 20 ;
    Board board ;

    public BoardViewer(Board board) {
        this.board = board;
        setBorder(BorderFactory.createEmptyBorder(10  , 10 ,
                board.getSize() * stepX , board.getSize() * stepY ));
    }

    protected void paintComponent(Graphics g) {

        g.setColor(Color.WHITE);
        Rectangle bound = getBounds() ;
        g.fillRect(bound.x , bound.y , bound.width , bound.height);

        g.setColor(Color.BLACK);
        for (int i = 0 ; i < board.getSize() ; i++)
            for (int j = 0 ; j < board.getSize() ; j++)
                g.fillRect(i * stepX  - 1, j * stepY  - 1  ,2 , 2);

        Set lines = board.getLines() ;
        for (Iterator iterator = lines.iterator(); iterator.hasNext();) {
            LineXY lineXY = (LineXY) iterator.next();

            g.drawLine(lineXY.x1 * stepX, lineXY.y1 * stepY
                    , lineXY.x2 * stepX , lineXY.y2 * stepY);
        }

        for (int i = 0 ; i < board.getSize() - 1  ; i++)
            for (int j = 0 ; j < board.getSize() - 1 ; j++) {
                if (board.cells[j][i] == Constants.RED) {
                    g.setColor(Color.RED);
                    g.fillRect(i * stepX , j * stepY , stepX , stepY );
                }else if (board.cells[j][i] == Constants.BLUE) {
                    g.setColor(Color.BLUE);
                    g.fillRect(i * stepX , j * stepY , stepX , stepY );

                }

            }

    }

}
